BizKitHub
DocsAPI ReferenceOrder/bff/order/update-notice
postOrderAdmin BFF

/bff/order/update-notice

Updates the internal and public notice texts on the order.

OrderpostBffOrderUpdate-notice

Parameters

JSON body

Request body

application/json
orderHashstringRequired

Unique order hash identifier.

internalNoticestringRequired

Internal note visible only to staff.

publicNoticestringRequired

Public note visible to the customer.

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/order/update-notice

post
curl -X POST "https://api.bizkithub.com/bff/order/update-notice" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "orderHash": "example_orderHash",
  "internalNotice": "example_internalNotice",
  "publicNotice": "example_publicNotice"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key